Bug 476178 - White screen on install
White screen on install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 04:25 EST by bryanschuman
Modified: 2018-04-11 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 16:54:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bryanschuman 2008-12-12 04:25:18 EST
Description of problem:
On at least the live-cd and the x64 install DVD, when initially attempting to boot the install image, X will boot to a white screen symptomatic of a driver incompatibility with the video hardware.  This occurs on many levels of video hardware from Intel chipsets to modern ATI chipsets (such as the Radeon 4870).  The issue pervades the forums.  Running into this issue requires in-depth research and user guesses for command line options that are not apparent to an average user.

How reproducible:
Every time, with incompatible hardware.


Steps to Reproduce:
1.  Boot Install or Live CD/DVD
2.  Select Install from the GRUB menu
  
Actual results:
White screen

Expected results:
Installer Screen

Suggested Remedies:
Add a command option such as "xdriver=vesa" to the default install options so that users are far less likely to run into this issue.  Alternately, add an option the GRUB menu such as "Safe Graphics Mode", which adds such an option.
Ubuntu 8.10's solution was to add an option of F4 to the install that allows the selection of the install mode, including safe graphics mode and text mode (also a welcome addition).
Comment 1 Matěj Cepl 2008-12-19 18:49:32 EST
It doesn't make a sense to fight all the bugs which fill forums. Could you please file a bug for each issue YOU encounter? If you do so, please, attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 François Cami 2009-02-02 16:54:27 EST
I'm closing this one as INSUFFICIENT_DATA as it concerns multiple bugs on multiple components without hard data (no logs, etc).

However, reporter's suggestion to add a "Safe Graphics Mode" should be kept and discussed. Bryan, the best place to do that is the fedora-devel list. Could you post there ? Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.